[Pkg-drupal-commits] r2298 - in /branches/drupal7/debian: changelog cron.sh

luigi at users.alioth.debian.org luigi at users.alioth.debian.org
Sat Apr 20 17:20:04 UTC 2013


Author: luigi
Date: Sat Apr 20 17:20:04 2013
New Revision: 2298

URL: http://svn.debian.org/wsvn/pkg-drupal/?sc=1&rev=2298
Log:
Fixed missing report of errors except last one (Closes: #689333)

Modified:
    branches/drupal7/debian/changelog
    branches/drupal7/debian/cron.sh

Modified: branches/drupal7/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-drupal/branches/drupal7/debian/changelog?rev=2298&op=diff
==============================================================================
--- branches/drupal7/debian/changelog (original)
+++ branches/drupal7/debian/changelog Sat Apr 20 17:20:04 2013
@@ -14,6 +14,8 @@
   * debian/cron.sh
     - Fixed CRON_KEY not resetting each loop iteration (Closes: #659848)
       (Thanks to Michael Wikberg <nobody at wikberg.fi>)
+    - Fixed missing report of errors except last one (Closes: #689333)
+      (Thanks to Gunnar Wolf <gwolf at gwolf.org>)
 
   * debian/README.Debian
     - Fixed location of locally installed modules (Closes: #685333)

Modified: branches/drupal7/debian/cron.sh
URL: http://svn.debian.org/wsvn/pkg-drupal/branches/drupal7/debian/cron.sh?rev=2298&op=diff
==============================================================================
--- branches/drupal7/debian/cron.sh (original)
+++ branches/drupal7/debian/cron.sh Sat Apr 20 17:20:04 2013
@@ -3,6 +3,7 @@
 for site in /etc/drupal/7/sites/* ; do
 	BASE_URL=""
 	CRON_KEY=""
+	FULL_URL=""
 
 	if [ ! "`basename $site`" = "all" ]; then
 		for file in $site/baseurl.php $site/settings.php; do
@@ -20,9 +21,17 @@
 		fi
 
 		if [ "X$CRON_KEY" = "X" ] ; then
-			curl --fail --silent --compressed --location $BASE_URL/cron.php
+			FULL_URL="$BASE_URL/cron.php"
 		else
-			curl --fail --silent --compressed --location $BASE_URL/cron.php?cron_key=$CRON_KEY
+			FULL_URL="$BASE_URL/cron.php?cron_key=$CRON_KEY"
+		fi
+
+		if curl -S --fail --silent --compressed --location $FULL_URL ; then
+		        # Success!
+		        true
+		else
+		        echo "Error running the periodic maintenance for $site: CURL exit code $?"
+			echo "Requested URL: $FULL_URL"
 		fi
 	fi
 done




More information about the Pkg-drupal-commits mailing list